---
title: Get statement PDF
slug: apis/accounts/account-mgmt-apis/get-statement-pdf
description: Get a specific account statement PDF using GET Endpoint: /v1/dda/accounts/{accountNumber}/statements/{statementId}/documents/{documentId} by providing both statement and document details.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-06-08T09:05:18.136Z
---



## API reference

Returns a PDF of the requested statement document in raw format using the document ID returned from the [Get statement doc info](docId:4tf9s1UGK6evHIFgQ2zFS) call.

You can save this response as a PDF file to view it in human-readable format or use it to display the statement PDF in your app.

:::hint{type="warning"}
**IMPORTANT**
Only pull documents as needed. If you want to pull a large number of documents, speak to your Relationship Manager.
:::

:::ApiMethodV2
```json
{
  "name": "Endpoint: /v1/dda/accounts/{accountNumber}/statements/{statementId}/documents/{documentId}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/statements/{statementId}/documents/{documentId}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "ORrps9PK6LtEodAlYXBX5",
        "language": "curl",
        "code": "curl --location --request GET 'https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents/a2276ec1-e851-41e0-8ae1-b38800747098' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer <token>' \\\n--data '",
        "customLabel": ""
      },
      {
        "id": "WxqMH8hlVDflODyG42YXY",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents/a2276ec1-e851-41e0-8ae1-b38800747098',\n  'headers': {\n    'Content-Type': 'application/json',\n    'Authorization': 'Bearer <token>'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData =  \"\\nMake your API call in Postman\\r\\nClick \\\"Save Response\\\" → \\\"Save to a file\\\"\\r\\nChoose location and filename\\r\\nOpen the saved PDF in a PDF viewer\";\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "-ybDqBVDmTQq-ekETeRrT",
        "language": "python",
        "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = \"\\nMake your API call in Postman\\r\\nClick \\\"Save Response\\\" → \\\"Save to a file\\\"\\r\\nChoose location and filename\\r\\nOpen the saved PDF in a PDF viewer\"\nheaders = {\n  'Content-Type': 'application/json',\n  'Authorization': 'Bearer <token>'\n}\nconn.request(\"GET\", \"/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents/a2276ec1-e851-41e0-8ae1-b38800747098\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "oi9IQfEntyr-2PFcwOiQC",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents/a2276ec1-e851-41e0-8ae1-b38800747098\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer <token>\"\nrequest.body = \"\\nMake your API call in Postman\\r\\nClick \\\"Save Response\\\" → \\\"Save to a file\\\"\\r\\nChoose location and filename\\r\\nOpen the saved PDF in a PDF viewer\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "DyNvJLlAjXJ-2Q-TZ3VU2",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements/6daf4caa-34d5-4e65-9f98-b388004f0af7/documents/a2276ec1-e851-41e0-8ae1-b38800747098\"\n  method := \"GET\"\n\n  payload := strings.NewReader(`\nMake your API call in Postman`+\"\n\"+`\nClick \"Save Response\" → \"Save to a file\"`+\"\n\"+`\nChoose location and filename`+\"\n\"+`\nOpen the saved PDF in a PDF viewer`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "ORrps9PK6LtEodAlYXBX5"
  },
  "results": {
    "languages": [
      {
        "id": "Bpj4xGoxiAWF9cgszfQRr",
        "language": "200",
        "code": "%PDF-1.7\n2 0 obj\n[/PDF /Text /ImageB /ImageC /ImageI]\nendobj\n8 0 obj\n<</Length 9 0 R\n/Filter /FlateDecode >>\nstream\n<PDF string>",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Bpj4xGoxiAWF9cgszfQRr"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Number of the account that you want the bank statement for",
        "": "Number of the account that you want the bank statement for"
      },
      {
        "name": "statementId",
        "kind": "required",
        "type": "string",
        "description": "The ID of the statement you want. Find this ID in the 'id' parameter value of the GET statement info response.",
        "": "The ID of the statement you want. Find this ID in the 'id' parameter value of the GET statement info response."
      },
      {
        "name": "documentId",
        "kind": "required",
        "type": "string",
        "description": "ID of the specific statement document you want. Find this ID in the 'id' parameter value of the GET statement doc info response.",
        "": "required"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "PDF",
      "kind": "optional",
      "type": "string",
      "description": "The response contains the actual PDF of the requested statement document in raw format."
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-v1ddaaccountsaccountnumberstatementsstate",
  "legacyHash": "DgZcT5IaqqXtxp9W2XaxR"
}
```
:::

